Bulk install packages
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/epm/packages/_bulk
-
POST
/s/{space_id}/api/fleet/epm/packages/_bulk
Auth
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
prerelease
boolean · default: false
-
Whether to return prerelease versions of packages (e.g. beta, rc, preview)
-
force
boolean
-
force install to ignore package verification errors
-
packages
union oneOf[]
required
-
list of packages to install
-
One of:
-
version
string
-
package version
-
items
object[]
required
-
-
response
object[]
deprecated
-
Thank you for your feedback.